# Uses of Interface
org.bukkit.entity.Raider

Packages that use Raider
Package
Description
com.destroystokyo.paper.entity.ai
io.papermc.paper.event.block
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.raid
`Events` related to raids.

## Uses of Raider in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Raider
Modifier and Type
Field
Description
`static final GoalKey<Raider>`
VanillaGoal.`HOLD_GROUND_ATTACK`
`static final GoalKey<Raider>`
VanillaGoal.`LONG_DISTANCE_PATROL`
`static final GoalKey<Raider>`
VanillaGoal.`NEAREST_ATTACKABLE_TARGET_WITCH`
Deprecated.
`static final GoalKey<Raider>`
VanillaGoal.`NEAREST_ATTACKABLE_WITCH`
`static final GoalKey<Raider>`
VanillaGoal.`NEAREST_HEALABLE_RAIDER`
`static final GoalKey<Raider>`
VanillaGoal.`OBTAIN_RAID_LEADER_BANNER`
`static final GoalKey<Raider>`
VanillaGoal.`PATHFIND_TO_RAID`
`static final GoalKey<Raider>`
VanillaGoal.`RAID`
Deprecated.
`static final GoalKey<Raider>`
VanillaGoal.`RAIDER_CELEBRATION`
`static final GoalKey<Raider>`
VanillaGoal.`RAIDER_HOLD_GROUND`
Deprecated.
`static final GoalKey<Raider>`
VanillaGoal.`RAIDER_MOVE_THROUGH_VILLAGE`
`static final GoalKey<Raider>`
VanillaGoal.`RAIDER_OBTAIN_BANNER`
Deprecated.

## Uses of Raider in io.papermc.paper.event.block

Methods in io.papermc.paper.event.block that return Raider
Modifier and Type
Method
Description
`@NotNull Raider`
BellRevealRaiderEvent.`getEntity()`
Gets the raider that the bell revealed.

## Uses of Raider in org.bukkit

Methods in org.bukkit that return types with arguments of type Raider
Modifier and Type
Method
Description
`@NotNull List<Raider>`
Raid.`getRaiders()`
Gets all remaining `Raider` in the present wave.

## Uses of Raider in org.bukkit.entity

Subinterfaces of Raider in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Evoker`
Represents an Evoker "Illager".
`interface`
`Illager`
Represents a type of "Illager".
`interface`
`Illusioner`
Represents an Illusioner "Illager".
`interface`
`Pillager`
Illager entity.
`interface`
`Ravager`
Illager beast.
`interface`
`Spellcaster`
Represents a spell casting "Illager".
`interface`
`Vindicator`
Represents a Vindicator.
`interface`
`Witch`
Represents a Witch

## Uses of Raider in org.bukkit.event.raid

Methods in org.bukkit.event.raid that return Raider
Modifier and Type
Method
Description
`@Nullable Raider`
RaidSpawnWaveEvent.`getPatrolLeader()`
Returns the patrol leader.
Methods in org.bukkit.event.raid that return types with arguments of type Raider
Modifier and Type
Method
Description
`@NotNull List<Raider>`
RaidSpawnWaveEvent.`getRaiders()`
Returns all `Raider` that spawned in this wave.
Constructors in org.bukkit.event.raid with parameters of type Raider
Modifier
Constructor
Description
``
`RaidSpawnWaveEvent(@NotNull Raid raid, @NotNull World world, @Nullable Raider leader, @NotNull List<Raider> raiders)`
Constructor parameters in org.bukkit.event.raid with type arguments of type Raider
Modifier
Constructor
Description
``
`RaidSpawnWaveEvent(@NotNull Raid raid, @NotNull World world, @Nullable Raider leader, @NotNull List<Raider> raiders)`